%define name	 kmess
%define version	 1.5
%define release	 %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Graphical desktop/KDE
License:	GPLv2+
Source0:        http://ovh.dl.sourceforge.net/sourceforge/kmess/%{name}-%{version}.tar.gz
Patch0:		kmess-1.5pre2-remove-de-comment.patch
URL:		http://kmess.sourceforge.net
BuildRequires:  kdebase-devel
BuildRequires:	kdenetwork-devel
BuildRequires:  libxslt-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Summary:	Yet another MSN messenger for KDE


%description
KMess is an easy-to-use MSN Messenger client for KDE. Install it
if you want an MSN Messenger client.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0


%build
%configure2_5x \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-xinerama 
#		--enable-final
#		do not use this, makes kmess fail to compile

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

#Relativisation of symlink, rpm fails to do it
rm -f $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common
ln -sf ../common $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common

%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_docdir}/HTML/*/%{name}
%doc AUTHORS INSTALL TODO README ChangeLog
%{_bindir}/%{name}
%{_datadir}/apps/%{name}
%{_datadir}/applications/kde/kmess.desktop
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/22x22/apps/kmess.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/64x64/apps/kmess.png
%{_iconsdir}/hicolor/128x128/apps/kmess.png
%{_iconsdir}/locolor/16x16/apps/%{name}.png
%{_iconsdir}/locolor/22x22/apps/kmess.png
%{_iconsdir}/locolor/32x32/apps/%{name}.png
%dir %{_datadir}/emoticons/KMess-new
%{_datadir}/emoticons/KMess-new/*.png
%{_datadir}/emoticons/KMess-new/emoticons.xml
%{_datadir}/sounds/%{name}*.ogg
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Fri Jan 11 2008 Funda Wang <fundawang@mandriva.org> 1.5-1mdv2008.1
+ Revision: 147860
- New version 1.5

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 01 2007 Funda Wang <fundawang@mandriva.org> 1.5-0.pre2.2mdv2008.0
+ Revision: 77296
- Remove invalid de comment of menu entry

* Thu Aug 09 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.5-0.pre2.1mdv2008.0
+ Revision: 60874
- new upstream release


* Thu Nov 23 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.5-0.pre1.1mdv2007.0
+ Revision: 86651
- Add BuildRequire
- Add sSurces
-  New version 1.5pre1
- import kmess-1.4.3-2mdk

* Fri May 12 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.3-2mdk
- Rebuild to generate categories

* Fri Apr 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.3-1mdk
- New release 1.4.3

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.1-3mdk
- Remove redundant buildRequires

* Wed Oct 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.1-2mdk
- Fix redundant buildrequires

* Wed Oct 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.1-1mdk
- New release 1.4.1

* Sat Sep 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4-1mdk
- New release 1.4 ( Bug fixes release )
- mkrel 
- drop patch 2 ( Merged Upstream )

* Fri Mar 11 2005 Nicolas Lecureuil <neoclust@mandrake.org> 1.3.0-1mdk
- 1.3.0
- Remove Patch 1  merged upstream
- Rediff  Patch 2

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-4mdk
- Rebuild

